﻿using Models;
using System.Collections.ObjectModel;

namespace MeasurementController.Views.Channels
{
    public class ChannelsViewModel : ObservableModel
    {
        public ObservableCollection<ChannelLegendViewModel> LegendItems { get; set; }
        public ObservableCollection<ChannelName> ChannelNames { get; set; }

        public class ChannelName 
        {
            public string Name { get; set; }
        }
        
        public ChannelsViewModel()
        {
            LegendItems = new ObservableCollection<ChannelLegendViewModel>();
            ChannelNames = new ObservableCollection<ChannelName>(){new ChannelName(){Name = "G"}};
           
            for (int i = 0; i < 8; i++)
            {
                LegendItems.Add(new ChannelLegendViewModel());
            }

        }

        private void HandleDaqControlConfigured(bool obj)
        {
            //ApplicationState.Instance.UIDispatcher.Invoke(() =>
            //{
            //    ChannelNames.Clear();
            //    foreach (var channel in CoreFacade.Instance.DaqController.Channels)
            //    {
            //        ChannelNames.Add(new ChannelName() { Name = channel.Name });
            //    }
                
            //});
            
        }
    }
}
