﻿using Models;


namespace MeasurementController.Views.Channels
{
    public class ChannelLegendViewModel : ObservableModel
    {
        private bool _display;
        private string _selectedChannel = string.Empty;

        public bool Display
        {
            get { return _display; }
            set
            {
                _display = value;
                RaisePropertyChanged("Display");
            }
        }
        public string SelectedChannel
        {
            get { return _selectedChannel; }
            set
            {
                _selectedChannel = value;
                RaisePropertyChanged("SelectedChannel");
            }
        }
    }
}
